<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Class org.apache.commons.configuration2.tree.NodeSelector (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.commons.configuration2.tree.NodeSelector (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/tree/class-use/NodeSelector.html" target="_top">Frames</a></li>
<li><a href="NodeSelector.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.commons.configuration2.tree.NodeSelector" class="title">Uses of Class<br>org.apache.commons.configuration2.tree.NodeSelector</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2">org.apache.commons.configuration2</a></td>
<td class="colLast">
<div class="block">
 The Configuration main package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.tree">org.apache.commons.configuration2.tree</a></td>
<td class="colLast">
<div class="block">
 A package with helper and utility classes used by hierarchical configurations.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.configuration2">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a> in <a href="../../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> that return <a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a></code></td>
<td class="colLast"><span class="typeNameLabel">SubnodeConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/SubnodeConfiguration.html#getRootSelector--">getRootSelector</a></span>()</code>
<div class="block">Returns the selector to the root node of this configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a></code></td>
<td class="colLast"><span class="typeNameLabel">SubnodeConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/SubnodeConfiguration.html#getSubConfigurationNodeSelector-java.lang.String-">getSubConfigurationNodeSelector</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Returns the <code>NodeSelector</code> to be used for a sub configuration based
 on the passed in key.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a></code></td>
<td class="colLast"><span class="typeNameLabel">BaseHierarchicalConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#getSubConfigurationNodeSelector-java.lang.String-">getSubConfigurationNodeSelector</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Returns the <code>NodeSelector</code> to be used for a sub configuration based
 on the passed in key.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/SubnodeConfiguration.html" title="class in org.apache.commons.configuration2">SubnodeConfiguration</a></code></td>
<td class="colLast"><span class="typeNameLabel">SubnodeConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/SubnodeConfiguration.html#createSubConfigurationForTrackedNode-org.apache.commons.configuration2.tree.NodeSelector-org.apache.commons.configuration2.tree.InMemoryNodeModelSupport-">createSubConfigurationForTrackedNode</a></span>(<a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a>&nbsp;selector,
                                    <a href="../../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModelSupport.html" title="interface in org.apache.commons.configuration2.tree">InMemoryNodeModelSupport</a>&nbsp;parentModelSupport)</code>
<div class="block">Creates a connected sub configuration based on a selector for a tracked
 node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/SubnodeConfiguration.html" title="class in org.apache.commons.configuration2">SubnodeConfiguration</a></code></td>
<td class="colLast"><span class="typeNameLabel">BaseHierarchicalConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#createSubConfigurationForTrackedNode-org.apache.commons.configuration2.tree.NodeSelector-org.apache.commons.configuration2.tree.InMemoryNodeModelSupport-">createSubConfigurationForTrackedNode</a></span>(<a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a>&nbsp;selector,
                                    <a href="../../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModelSupport.html" title="interface in org.apache.commons.configuration2.tree">InMemoryNodeModelSupport</a>&nbsp;parentModelSupport)</code>
<div class="block">Creates a connected sub configuration based on a selector for a tracked
 node.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.tree">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a> in <a href="../../../../../../org/apache/commons/configuration2/tree/package-summary.html">org.apache.commons.configuration2.tree</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/tree/package-summary.html">org.apache.commons.configuration2.tree</a> that return <a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a></code></td>
<td class="colLast"><span class="typeNameLabel">TrackedNodeModel.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/TrackedNodeModel.html#getSelector--">getSelector</a></span>()</code>
<div class="block">Returns the <code>NodeSelector</code> pointing to the tracked node managed by
 this model.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a></code></td>
<td class="colLast"><span class="typeNameLabel">NodeSelector.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html#subSelector-java.lang.String-">subSelector</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;subKey)</code>
<div class="block">Creates a sub <code>NodeSelector</code> object which uses the key(s) of this
 selector plus the specified key as selection criteria.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a></code></td>
<td class="colLast"><span class="typeNameLabel">InMemoryNodeModel.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModel.html#trackChildNodeWithCreation-java.lang.String-java.lang.String-org.apache.commons.configuration2.tree.NodeKeyResolver-">trackChildNodeWithCreation</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                          <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;childName,
                          <a href="../../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;resolver)</code>
<div class="block">Tracks a node which is a child of another node selected by the passed in
 key.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/tree/package-summary.html">org.apache.commons.configuration2.tree</a> that return types with arguments of type <a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">InMemoryNodeModel.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModel.html#selectAndTrackNodes-java.lang.String-org.apache.commons.configuration2.tree.NodeKeyResolver-">selectAndTrackNodes</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                   <a href="../../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;resolver)</code>
<div class="block">Allows tracking all nodes selected by a key.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">InMemoryNodeModel.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModel.html#trackChildNodes-java.lang.String-org.apache.commons.configuration2.tree.NodeKeyResolver-">trackChildNodes</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
               <a href="../../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;resolver)</code>
<div class="block">Tracks all nodes which are children of the node selected by the passed in
 key.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/tree/package-summary.html">org.apache.commons.configuration2.tree</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">InMemoryNodeModel.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModel.html#addNodes-java.lang.String-org.apache.commons.configuration2.tree.NodeSelector-java.util.Collection-org.apache.commons.configuration2.tree.NodeKeyResolver-">addNodes</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
        <a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a>&nbsp;selector,
        <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;nodes,
        <a href="../../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;resolver)</code>
<div class="block">Adds new nodes using a tracked node as root node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">InMemoryNodeModel.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModel.html#addProperty-java.lang.String-org.apache.commons.configuration2.tree.NodeSelector-java.lang.Iterable-org.apache.commons.configuration2.tree.NodeKeyResolver-">addProperty</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
           <a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a>&nbsp;selector,
           <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;values,
           <a href="../../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;resolver)</code>
<div class="block">Adds new property values using a tracked node as root node.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">InMemoryNodeModel.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModel.html#clearProperty-java.lang.String-org.apache.commons.configuration2.tree.NodeSelector-org.apache.commons.configuration2.tree.NodeKeyResolver-">clearProperty</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
             <a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a>&nbsp;selector,
             <a href="../../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;resolver)</code>
<div class="block">Clears a property using a tracked node as root node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">InMemoryNodeModel.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModel.html#clearTree-java.lang.String-org.apache.commons.configuration2.tree.NodeSelector-org.apache.commons.configuration2.tree.NodeKeyResolver-">clearTree</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
         <a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a>&nbsp;selector,
         <a href="../../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;resolver)</code>
<div class="block">Clears a whole sub tree using a tracked node as root node.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a></code></td>
<td class="colLast"><span class="typeNameLabel">InMemoryNodeModel.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModel.html#getTrackedNode-org.apache.commons.configuration2.tree.NodeSelector-">getTrackedNode</a></span>(<a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a>&nbsp;selector)</code>
<div class="block">Returns the current <code>ImmutableNode</code> instance associated with the
 given <code>NodeSelector</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="interface in org.apache.commons.configuration2.tree">NodeHandler</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">InMemoryNodeModel.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModel.html#getTrackedNodeHandler-org.apache.commons.configuration2.tree.NodeSelector-">getTrackedNodeHandler</a></span>(<a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a>&nbsp;selector)</code>
<div class="block">Returns a <code>NodeHandler</code> for a tracked node.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">InMemoryNodeModel.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModel.html#isTrackedNodeDetached-org.apache.commons.configuration2.tree.NodeSelector-">isTrackedNodeDetached</a></span>(<a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a>&nbsp;selector)</code>
<div class="block">Returns a flag whether the specified tracked node is detached.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">InMemoryNodeModel.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModel.html#replaceTrackedNode-org.apache.commons.configuration2.tree.NodeSelector-org.apache.commons.configuration2.tree.ImmutableNode-">replaceTrackedNode</a></span>(<a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a>&nbsp;selector,
                  <a href="../../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;newNode)</code>
<div class="block">Replaces a tracked node by another node.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">InMemoryNodeModel.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModel.html#setProperty-java.lang.String-org.apache.commons.configuration2.tree.NodeSelector-java.lang.Object-org.apache.commons.configuration2.tree.NodeKeyResolver-">setProperty</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
           <a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a>&nbsp;selector,
           <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value,
           <a href="../../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;resolver)</code>
<div class="block">Sets the value of a property using a tracked node as root node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">InMemoryNodeModel.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModel.html#trackNode-org.apache.commons.configuration2.tree.NodeSelector-org.apache.commons.configuration2.tree.NodeKeyResolver-">trackNode</a></span>(<a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a>&nbsp;selector,
         <a href="../../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;resolver)</code>
<div class="block">Adds a node to be tracked.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">InMemoryNodeModel.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModel.html#untrackNode-org.apache.commons.configuration2.tree.NodeSelector-">untrackNode</a></span>(<a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a>&nbsp;selector)</code>
<div class="block">Removes a tracked node.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../org/apache/commons/configuration2/tree/package-summary.html">org.apache.commons.configuration2.tree</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/TrackedNodeModel.html#TrackedNodeModel-org.apache.commons.configuration2.tree.InMemoryNodeModelSupport-org.apache.commons.configuration2.tree.NodeSelector-boolean-">TrackedNodeModel</a></span>(<a href="../../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModelSupport.html" title="interface in org.apache.commons.configuration2.tree">InMemoryNodeModelSupport</a>&nbsp;modelSupport,
                <a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a>&nbsp;sel,
                boolean&nbsp;untrackOnFinalize)</code>
<div class="block">Creates a new instance of <code>TrackedNodeModel</code> and initializes it
 with the given underlying model and the selector to the root node.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/tree/class-use/NodeSelector.html" target="_top">Frames</a></li>
<li><a href="NodeSelector.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
